# coding: utf-8
from __future__ import absolute_import, unicode_literals

from celery.schedules import crontab

from concentrator import settings
from concentrator.smev3.base.tasks import Smev3PeriodicAsyncTask

from .helpers import application_request_helper


class ApplicationRequestPeriodicAsyncTask(Smev3PeriodicAsyncTask):
    """Периодическая таска, которая проверяет наличие в клиенте заявок
    с видом сведений message_type, запускает по ним формирование
    и отправку ответа
    """

    message_type = settings.APP_REQ_MESSAGE_TYPE
    description = 'Услуга "Подать заявление" Concentrator смэв3'

    run_every = crontab(minute=settings.APP_REQ_TASK_EVERY_MINUTE,
        hour=settings.APP_REQ_TASK_EVERY_HOUR)
    helper_function = application_request_helper
